## knewstuff 5.107.0

=== debian/changelog ===
knewstuff (5.107.0-2) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Fix FTCFBS: Always build the designer plugin, thx to Helmut Grohne
    (Closes: #1057297).

 -- Patrick Franz <deltaone@debian.org>  Wed, 06 Dec 2023 18:56:16 +0100

knewstuff (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:45 +0200

knewstuff (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:02 +0100

=== debian/control ===
Source: knewstuff
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               doxygen,
               extra-cmake-modules (>= 5.107.0~),
               gettext,
               kirigami2-dev (>= 2.12.0~),
               libkf5archive-dev (>= 5.107.0~),
               libkf5attica-dev (>= 5.107.0~),
               libkf5completion-dev (>= 5.107.0~),
               libkf5config-dev (>= 5.107.0~),
               libkf5coreaddons-dev (>= 5.107.0~),
               libkf5i18n-dev (>= 5.107.0~),
               libkf5iconthemes-dev (>= 5.107.0~),
               libkf5itemviews-dev (>= 5.107.0~),
               libkf5kio-dev (>= 5.107.0~),
               libkf5package-dev (>= 5.107.0~),
               libkf5service-dev (>= 5.107.0~),
               libkf5syndication-dev (>= 5.90.0~),
               libkf5textwidgets-dev (>= 5.105.0~),
               libkf5widgetsaddons-dev (>= 5.107.0~),
               libkf5xmlgui-dev (>= 5.107.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/knewstuff
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knewstuff
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knewstuff.git
Rules-Requires-Root: no

Package: knewstuff-dialog
Architecture: any
Depends: libkf5newstuff-data (= ${source:Version}),
         qml-module-org-kde-newstuff (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains standalone tool for use by apps which don't
 want a hard dependency.

Package: libkf5newstuff-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

Package: libkf5newstuff-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.107.0~),
         libkf5attica-dev (>= 5.107.0~),
         libkf5kio-dev (>= 5.107.0~),
         libkf5newstuff5 (= ${binary:Version}),
         libkf5newstuffcore5 (= ${binary:Version}),
         libkf5newstuffwidgets5 (= ${binary:Version}),
         libkf5xmlgui-dev (>= 5.107.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5newstuff-doc (= ${source:Version}),
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.
Breaks: libkf5kdelibs4support-dev (<< 5.54),

Package: libkf5newstuff-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for downloading application assets from the network (documentation)
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5newstuff5
Architecture: any
Multi-Arch: same
Depends: libkf5newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.

Package: libkf5newstuffcore5
Architecture: any
Multi-Arch: same
Recommends: qml-module-org-kde-newstuff (= ${binary:Version}),
Depends: kio (>= 5.54), ${misc:Depends}, ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for idownloading and sharing additional
 application data.
Breaks: frameworkintegration (<< 5.54),

Package: libkf5newstuffwidgets5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for idownloading and sharing additional
 application data.

Package: qml-module-org-kde-newstuff
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.54),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the runtime files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_DESIGNERPLUGIN=ON

override_dh_auto_test:
	xvfb-run -a dh_auto_test

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## knewstuff 5.109.0

=== debian/changelog ===
knewstuff (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:50:11 +0100

knewstuff (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:21:23 +0100

knewstuff (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:06:27 +0100

knewstuff (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:47:11 +0100

=== debian/control ===
Source: knewstuff
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.109.0~),
               gettext,
               libkf5archive-dev (>= 5.109.0~),
               libkf5attica-dev (>= 5.109.0~),
               libkf5completion-dev (>= 5.109.0~),
               libkf5config-dev (>= 5.109.0~),
               libkf5coreaddons-dev (>= 5.109.0~),
               libkf5i18n-dev (>= 5.109.0~),
               libkf5iconthemes-dev (>= 5.109.0~),
               libkf5itemviews-dev (>= 5.109.0~),
               libkf5kio-dev (>= 5.109.0~),
               libkf5package-dev (>= 5.109.0~),
               libkf5service-dev (>= 5.109.0~),
               libkf5syndication-dev (>= 1:5.109.0~),
               libkf5textwidgets-dev (>= 5.109.0~),
               libkf5widgetsaddons-dev (>= 5.109.0~),
               libkf5xmlgui-dev (>= 5.109.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/knewstuff
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knewstuff
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knewstuff
Rules-Requires-Root: no

Package: knewstuff-dialog
Architecture: any
Depends: libkf5newstuff-data (= ${source:Version}),
         qml-module-org-kde-newstuff (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains standalone tool for use by apps which don't
 want a hard dependency.

Package: libkf5newstuff-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

Package: libkf5newstuff-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.109.0~),
         libkf5attica-dev (>= 5.109.0~),
         libkf5kio-dev (>= 5.109.0~),
         libkf5newstuff5 (= ${binary:Version}),
         libkf5newstuffcore5 (= ${binary:Version}),
         libkf5newstuffwidgets5 (= ${binary:Version}),
         libkf5xmlgui-dev (>= 5.109.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5newstuff-doc (= ${source:Version})
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5newstuff-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for downloading application assets from the network (documentation)
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5newstuff5
Architecture: any
Multi-Arch: same
Depends: libkf5newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.

Package: libkf5newstuffcore5
Architecture: any
Multi-Arch: same
Recommends: qml-module-org-kde-newstuff (= ${binary:Version})
Depends: kio (>= 5.54), ${misc:Depends}, ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for idownloading and sharing additional
 application data.
Breaks: frameworkintegration (<< 5.54)

Package: libkf5newstuffwidgets5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for idownloading and sharing additional
 application data.

Package: qml-module-org-kde-newstuff
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.54),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the runtime files

## knewstuff 5.110.0

=== debian/changelog ===
knewstuff (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:08:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,23 +7,23 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                gettext,
-               libkf5archive-dev (>= 5.109.0~),
-               libkf5attica-dev (>= 5.109.0~),
-               libkf5completion-dev (>= 5.109.0~),
-               libkf5config-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
-               libkf5iconthemes-dev (>= 5.109.0~),
-               libkf5itemviews-dev (>= 5.109.0~),
-               libkf5kio-dev (>= 5.109.0~),
-               libkf5package-dev (>= 5.109.0~),
-               libkf5service-dev (>= 5.109.0~),
-               libkf5syndication-dev (>= 1:5.109.0~),
-               libkf5textwidgets-dev (>= 5.109.0~),
-               libkf5widgetsaddons-dev (>= 5.109.0~),
-               libkf5xmlgui-dev (>= 5.109.0~),
+               libkf5archive-dev (>= 5.110.0~),
+               libkf5attica-dev (>= 5.110.0~),
+               libkf5completion-dev (>= 5.110.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5iconthemes-dev (>= 5.110.0~),
+               libkf5itemviews-dev (>= 5.110.0~),
+               libkf5kio-dev (>= 5.110.0~),
+               libkf5package-dev (>= 5.110.0~),
+               libkf5service-dev (>= 5.110.0~),
+               libkf5syndication-dev (>= 1:5.110.0~),
+               libkf5textwidgets-dev (>= 5.110.0~),
+               libkf5widgetsaddons-dev (>= 5.110.0~),
+               libkf5xmlgui-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -64,13 +64,13 @@
 Package: libkf5newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.109.0~),
-         libkf5attica-dev (>= 5.109.0~),
-         libkf5kio-dev (>= 5.109.0~),
+Depends: libkf5archive-dev (>= 5.110.0~),
+         libkf5attica-dev (>= 5.110.0~),
+         libkf5kio-dev (>= 5.110.0~),
          libkf5newstuff5 (= ${binary:Version}),
          libkf5newstuffcore5 (= ${binary:Version}),
          libkf5newstuffwidgets5 (= ${binary:Version}),
-         libkf5xmlgui-dev (>= 5.109.0~),
+         libkf5xmlgui-dev (>= 5.110.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5newstuff-doc (= ${source:Version})

## knewstuff 5.113.0

=== debian/changelog ===
knewstuff (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:44:23 +0000

knewstuff (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:49:17 +0000

knewstuff (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:58:59 +0000

=== debian/control ===
--- 
+++ 
@@ -7,23 +7,23 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
                gettext,
-               libkf5archive-dev (>= 5.110.0~),
-               libkf5attica-dev (>= 5.110.0~),
-               libkf5completion-dev (>= 5.110.0~),
-               libkf5config-dev (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
-               libkf5iconthemes-dev (>= 5.110.0~),
-               libkf5itemviews-dev (>= 5.110.0~),
-               libkf5kio-dev (>= 5.110.0~),
-               libkf5package-dev (>= 5.110.0~),
-               libkf5service-dev (>= 5.110.0~),
-               libkf5syndication-dev (>= 1:5.110.0~),
-               libkf5textwidgets-dev (>= 5.110.0~),
-               libkf5widgetsaddons-dev (>= 5.110.0~),
-               libkf5xmlgui-dev (>= 5.110.0~),
+               libkf5archive-dev (>= 5.113.0~),
+               libkf5attica-dev (>= 5.113.0~),
+               libkf5completion-dev (>= 5.113.0~),
+               libkf5config-dev (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
+               libkf5iconthemes-dev (>= 5.113.0~),
+               libkf5itemviews-dev (>= 5.113.0~),
+               libkf5kio-dev (>= 5.113.0~),
+               libkf5package-dev (>= 5.113.0~),
+               libkf5service-dev (>= 5.113.0~),
+               libkf5syndication-dev (>= 1:5.113.0~),
+               libkf5textwidgets-dev (>= 5.113.0~),
+               libkf5widgetsaddons-dev (>= 5.113.0~),
+               libkf5xmlgui-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -64,13 +64,13 @@
 Package: libkf5newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.110.0~),
-         libkf5attica-dev (>= 5.110.0~),
-         libkf5kio-dev (>= 5.110.0~),
+Depends: libkf5archive-dev (>= 5.113.0~),
+         libkf5attica-dev (>= 5.113.0~),
+         libkf5kio-dev (>= 5.113.0~),
          libkf5newstuff5 (= ${binary:Version}),
          libkf5newstuffcore5 (= ${binary:Version}),
          libkf5newstuffwidgets5 (= ${binary:Version}),
-         libkf5xmlgui-dev (>= 5.110.0~),
+         libkf5xmlgui-dev (>= 5.113.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5newstuff-doc (= ${source:Version})

## knewstuff 5.115.0

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(core)

set(KNewStuff_SRCS
    entry.cpp
    button.cpp
    knewstuffaction.cpp
    kmoretools/kmoretools.cpp
    kmoretools/kmoretoolsconfigdialog_p.cpp
    kmoretools/kmoretoolsmenufactory.cpp
    kmoretools/kmoretoolspresets.cpp
    ui/widgetquestionlistener.cpp
    uploaddialog.cpp
    qtquickdialogwrapper.cpp
)
# Exclude deprecated classes from the build
if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
        EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.80.0)
list(APPEND KNewStuff_SRCS
        downloaddialog.cpp
        downloadwidget.cpp
        downloadmanager.cpp
        ui/entrydetailsdialog.cpp
        ui/imagepreviewwidget.cpp
        ui/itemsview.cpp
        ui/itemsviewdelegate.cpp
        ui/itemsgridviewdelegate.cpp
        ui/itemsviewbasedelegate.cpp
        ui/progressindicator.cpp
        )
endif()

qt_add_resources(KNewStuff_RESOURCES uploaddialog.qrc)

ecm_qt_declare_logging_category(KNewStuff_SRCS
    HEADER knewstuff_debug.h
    IDENTIFIER KNEWSTUFF
    CATEGORY_NAME kf.newstuff
    OLD_CATEGORY_NAMES org.kde.knewstuff
    DESCRIPTION "knewstuff (knewstuff)"
    EXPORT KNEWSTUFF
)

ki18n_wrap_ui(KNewStuff_SRCS
    downloadwidget.ui
    kmoretools/ui/kmoretoolsconfigwidget.ui
)

add_library(KF5NewStuff ${KNewStuff_SRCS} ${KNewStuff_RESOURCES})
add_library(KF5::NewStuff ALIAS KF5NewStuff)

ecm_generate_export_header(KF5NewStuff
    EXPORT_FILE_NAME knewstuff_export.h
    BASE_NAME KNewStuff
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    DEPRECATION_VERSIONS 5.29 5.76 5.77 5.78 5.79 5.80 5.82 5.85 5.91 5.94
)

target_include_directories(KF5NewStuff
    PUBLIC "$<BUILD_INTERFACE:${KNewStuff_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}>"
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3>")

target_link_libraries(KF5NewStuff
  PUBLIC
    KF5::NewStuffCore
    KF5::XmlGui                # For KActionCollection in knewstuffaction.h
    KF5::Service               # For KMoreTools
    Qt${QT_MAJOR_VERSION}::Widgets
  PRIVATE
    KF5::KIOCore               # For network fetching operations
    KF5::KIOGui                # For KIO::OpenUrlJob
    KF5::JobWidgets            # For KDialogJobUiDelegate
    KF5::Completion            # For KLineEdit in download dialog
    KF5::I18n                  # For translations
    KF5::ItemViews             # For buttons on download dialog
    KF5::IconThemes           # For KIcon
    Qt${QT_MAJOR_VERSION}::Qml
    Qt${QT_MAJOR_VERSION}::Quick
)

set_target_properties(KF5NewStuff PROPERTIES
   VERSION ${KNEWSTUFF_VERSION}
   SOVERSION ${KNEWSTUFF_SOVERSION}
   EXPORT_NAME NewStuff
)

set(KNewStuff_HEADERS
  knewstuffaction.h
)

# For KMoreTools:
if(QT_MAJOR_VERSION EQUAL 5)
    ecm_generate_headers(KMoreTools_CamelCase_HEADERS
        HEADER_NAMES
        KMoreTools
        KMoreToolsMenuFactory
        KMoreToolsPresets

        RELATIVE kmoretools
        REQUIRED_HEADERS KMoreTools_HEADERS
        OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR}/KNS3
    )
    install(
        FILES ${KMoreTools_CamelCase_HEADERS}
        FILES ${KMoreTools_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/KNS3
        COMPONENT Devel
    )
    install(
        FILES ${KMoreTools_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/kns3
        COMPONENT Devel
    )
endif()

# In KF6 all KMoreTools headers will be only in ${KDE_INSTALL_INCLUDEDIR_KF}/KMoreTools
ecm_generate_headers(KMoreTools_CamelCase_HEADERS
    HEADER_NAMES
    KMoreTools
    KMoreToolsMenuFactory
    KMoreToolsPresets

    RELATIVE kmoretools
    REQUIRED_HEADERS KMoreTools_HEADERS
)
install(
    FILES
        ${KMoreTools_CamelCase_HEADERS}
        ${KMoreTools_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KMoreTools
    COMPONENT Devel
)
target_include_directories(KF5NewStuff
    INTERFACE "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KMoreTools>"
)
# So that '#include "KNS3/knewstuff_export.h"' works in KMoreTools headers during the build
file(COPY ${CMAKE_CURRENT_BINARY_DIR}/knewstuff_export.h
    DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/KNS3
)

ecm_generate_headers(KNewStuff_CamelCase_HEADERS
  HEADER_NAMES
  DownloadDialog
  DownloadWidget
  DownloadManager
  UploadDialog
  Entry
  Button
  QtQuickDialogWrapper

  REQUIRED_HEADERS KNewStuff_HEADERS
  OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR}/KNS3
)

install(
    FILES
        ${KNewStuff_CamelCase_HEADERS}
        ${KNewStuff_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/knewstuff_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/KNS3
    COMPONENT Devel
)

install(TARGETS KF5NewStuff EXPORT KF5NewStuffTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

# Kept for backwards compatibility, in KF6 all headers will be in KNewStuff3/KNS3 only
if(QT_MAJOR_VERSION STREQUAL "5")
    install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/knewstuff_export.h
        ${KNewStuff_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/kns3 COMPONENT Devel
    )
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KF5NewStuff_QCH
        NAME KNewStuff
        BASE_NAME KF5NewStuff
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KNewStuff_HEADERS}
            ${KMoreTools_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            KF5NewStuffCore_QCH
            KF5XmlGui_QCH
            KF5Service_QCH
            Qt5Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
            ${KNewStuff_BINARY_DIR}
        BLANK_MACROS
            KNEWSTUFF_EXPORT
            KNEWSTUFF_DEPRECATED
            KNEWSTUFF_DEPRECATED_EXPORT
            "KNEWSTUFF_DEPRECATED_VERSION(x, y, t)"
            "KNEWSTUFF_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

# after ecm_add_qch, due to KF5NewStuffWidgets_QCH dependency on KF5NewStuff_QCH being declared
add_subdirectory(widgets)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KNewStuff LIB_NAME KF5NewStuff DEPS "widgets KXmlGui KNewStuffCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

add_subdirectory(qtquick)
add_subdirectory(tools)

ecm_qt_install_logging_categories(
    EXPORT KNEWSTUFF
    FILE knewstuff.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
knewstuff (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:16:45 +0200

knewstuff (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015456).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:07 +0100

=== debian/control ===
Source: knewstuff
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               gettext,
               kirigami2-dev (>= 2.12.0~),
               libkf5archive-dev (>= 5.115.0~),
               libkf5attica-dev (>= 5.115.0~),
               libkf5completion-dev (>= 5.115.0~),
               libkf5config-dev (>= 5.115.0~),
               libkf5coreaddons-dev (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               libkf5iconthemes-dev (>= 5.115.0~),
               libkf5itemviews-dev (>= 5.115.0~),
               libkf5kio-dev (>= 5.115.0~),
               libkf5package-dev (>= 5.115.0~),
               libkf5service-dev (>= 5.115.0~),
               libkf5syndication-dev (>= 1:5.115.0~),
               libkf5widgetsaddons-dev (>= 5.115.0~),
               libkf5windowsystem-dev (>= 5.115.0~),
               libkf5xmlgui-dev (>= 5.115.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/knewstuff
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knewstuff
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knewstuff.git
Rules-Requires-Root: no

Package: knewstuff-dialog
Architecture: any
Depends: libkf5newstuff-data (= ${source:Version}),
         qml-module-org-kde-newstuff (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains standalone tool for use by apps which don't
 want a hard dependency.

Package: libkf5newstuff-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

Package: libkf5newstuff-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.115.0~),
         libkf5attica-dev (>= 5.115.0~),
         libkf5kio-dev (>= 5.115.0~),
         libkf5newstuff5 (= ${binary:Version}),
         libkf5newstuffcore5 (= ${binary:Version}),
         libkf5newstuffwidgets5 (= ${binary:Version}),
         libkf5xmlgui-dev (>= 5.115.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5newstuff-doc (= ${source:Version}),
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.
Breaks: libkf5kdelibs4support-dev (<< 5.54),

Package: libkf5newstuff-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for downloading application assets from the network (documentation)
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5newstuff5
Architecture: any
Multi-Arch: same
Depends: libkf5newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.

Package: libkf5newstuffcore5
Architecture: any
Multi-Arch: same
Recommends: qml-module-org-kde-newstuff (= ${binary:Version}),
Depends: kio (>= 5.54), ${misc:Depends}, ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for idownloading and sharing additional
 application data.
Breaks: frameworkintegration (<< 5.54),

Package: libkf5newstuffwidgets5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for idownloading and sharing additional
 application data.

Package: qml-module-org-kde-newstuff
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.54),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the runtime files

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # Disable fixfilepath, as it triggers build failures.
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath optimize=+lto
 
 libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
 include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

## knewstuff 5.116.0

=== data/CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

# install .desktop files executable, otherwise they are not usable if not root owned
install(DIRECTORY
    kmoretools-desktopfiles/
    DESTINATION ${KDE_INSTALL_DATADIR_KF}/kmoretools/presets-kmoretools
    FILES_MATCHING PATTERN "*.desktop"
    PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ
    )

# install other files like icons, skip .sh helpers
install(DIRECTORY
    kmoretools-desktopfiles/
    DESTINATION ${KDE_INSTALL_DATADIR_KF}/kmoretools/presets-kmoretools
    PATTERN "*.desktop" EXCLUDE
    PATTERN "*.sh" EXCLUDE)

=== autotests/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

if (WIN32)
set(DATA_DIR "/${CMAKE_CURRENT_BINARY_DIR}/data/")
else()
set(DATA_DIR "${CMAKE_CURRENT_BINARY_DIR}/data/")
endif()
configure_file(data/entry.xml.in data/entry.xml)
configure_file(data/provider.xml.in data/provider.xml)
configure_file(data/enginetest.knsrc.in data/enginetest.knsrc)
configure_file(data/installationtest.knsrc.in data/installationtest.knsrc)

knewstuff_unit_tests(
        knewstuffauthortest.cpp
        knewstuffenginetest.cpp
        installationtest.cpp
)

=== debian/changelog ===
knewstuff (5.116.0-2ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file.
    - Disable tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 16:42:27 +0100

knewstuff (5.116.0-2) unstable; urgency=medium

  [ Santiago Vila ]
  * Disable flaky test. Closes: #1031060.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 27 Apr 2025 00:41:36 +0200

knewstuff (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:43:16 +0200

knewstuff (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:43:47 +0100

knewstuff (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:34:24 +0000

knewstuff (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:09:57 +0000

knewstuff (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 08:02:05 -0700

knewstuff (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:24:18 -0700

knewstuff (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:57:50 -0700

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,32 @@
 Source: knewstuff
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                gettext,
                kirigami2-dev (>= 2.12.0~),
-               libkf5archive-dev (>= 5.115.0~),
-               libkf5attica-dev (>= 5.115.0~),
-               libkf5completion-dev (>= 5.115.0~),
-               libkf5config-dev (>= 5.115.0~),
-               libkf5coreaddons-dev (>= 5.115.0~),
-               libkf5i18n-dev (>= 5.115.0~),
-               libkf5iconthemes-dev (>= 5.115.0~),
-               libkf5itemviews-dev (>= 5.115.0~),
-               libkf5kio-dev (>= 5.115.0~),
-               libkf5package-dev (>= 5.115.0~),
-               libkf5service-dev (>= 5.115.0~),
+               libkf5archive-dev (>= 5.116.0~),
+               libkf5attica-dev (>= 5.116.0~),
+               libkf5completion-dev (>= 5.116.0~),
+               libkf5config-dev (>= 5.116.0~),
+               libkf5coreaddons-dev (>= 5.116.0~),
+               libkf5i18n-dev (>= 5.116.0~),
+               libkf5iconthemes-dev (>= 5.116.0~),
+               libkf5itemviews-dev (>= 5.116.0~),
+               libkf5kio-dev (>= 5.116.0~),
+               libkf5package-dev (>= 5.116.0~),
+               libkf5service-dev (>= 5.116.0~),
                libkf5syndication-dev (>= 1:5.115.0~),
-               libkf5widgetsaddons-dev (>= 5.115.0~),
+               libkf5widgetsaddons-dev (>= 5.116.0~),
                libkf5windowsystem-dev (>= 5.115.0~),
-               libkf5xmlgui-dev (>= 5.115.0~),
+               libkf5xmlgui-dev (>= 5.116.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -34,10 +35,10 @@
                qttools5-dev-tools,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/knewstuff
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knewstuff
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knewstuff.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knewstuff
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knewstuff
 Rules-Requires-Root: no
 
 Package: knewstuff-dialog
@@ -66,13 +67,13 @@
 Package: libkf5newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.115.0~),
-         libkf5attica-dev (>= 5.115.0~),
-         libkf5kio-dev (>= 5.115.0~),
+Depends: libkf5archive-dev (>= 5.116.0~),
+         libkf5attica-dev (>= 5.116.0~),
+         libkf5kio-dev (>= 5.116.0~),
          libkf5newstuff5 (= ${binary:Version}),
          libkf5newstuffcore5 (= ${binary:Version}),
          libkf5newstuffwidgets5 (= ${binary:Version}),
-         libkf5xmlgui-dev (>= 5.115.0~),
+         libkf5xmlgui-dev (>= 5.116.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_DESIGNERPLUGIN=ON

override_dh_auto_test:
	# disable autotests at build time
	# xvfb-run -a dh_auto_test
	:

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## knewstuff 5.116.0+p24.04+vstable+git20251015.1135

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vstable+git20251015.1135-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:35:36 +0000

knewstuff (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:42:13 +1000

knewstuff (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:36:43 +0000

knewstuff (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:25:35 +0000

knewstuff (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:05:21 +0000

knewstuff (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:47:22 +0000

knewstuff (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 17:19:57 +0000

knewstuff (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:28:30 +0000

knewstuff (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 02:20:24 +0000

knewstuff (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:13:14 +0000

knewstuff (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:43:14 +0000

knewstuff (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:01:26 +0000

knewstuff (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:55:02 +0000

knewstuff (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:29:30 +0000

knewstuff (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:36:24 +0000

knewstuff (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:57:33 +0000

knewstuff (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:59:35 +0000

knewstuff (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:08:19 +0000

knewstuff (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:24:05 +0000

knewstuff (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:30:49 +0000

knewstuff (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:03:47 +0000

knewstuff (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:34:19 +0000

knewstuff (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 12:16:01 +0000

knewstuff (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 23:06:23 +0000

knewstuff (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jan 2022 15:09:19 +0000

knewstuff (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:29:03 +0000

knewstuff (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:54:52 +0000

knewstuff (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Mon, 04 Oct 2021 14:50:07 +0000

knewstuff (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:10:28 +0000

knewstuff (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:33 +0000

knewstuff (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:27:54 +0000

knewstuff (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:17:10 +0000

knewstuff (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:12:18 +0000

knewstuff (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:17:55 +0000

knewstuff (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:58:37 +0000

knewstuff (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:14:59 +0000

knewstuff (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:07:06 +0000

knewstuff (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:31:40 +0000

knewstuff (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:42:13 +0000

knewstuff (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:31:22 +0000

knewstuff (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:24:02 +0000

knewstuff (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:38:12 +0000

knewstuff (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:54:09 +0000

knewstuff (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:41:54 +0000

knewstuff (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:20:13 +0000

knewstuff (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:22:14 +0000

knewstuff (5.67.0-0neon) bionic; urgency=medium



## knewstuff 5.116.0+p24.04+vstable+git20251020.0313

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vstable+git20251020.0313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:13:25 +0000
